# hdf5plugin

hdf5plugin provides HDF5 compression filters (namely: Blosc, BitShuffle, BZip2, FciDecomp, LZ4, SZ, Zfp, ZStd) and makes them usable from h5py.

- Supported operating systems: Linux, Windows, macOS.

- Supported versions of Python: >= 3.7

- Supported architectures: All. Specific optimizations are available for x86 family and ppc64le.

hdf5plugin provides a generic way to enable the use of the provided HDF5 compression filters with h5py that can be installed via pip or conda.

Alternatives to install HDF5 compression filters are: system-wide installation on Linux or other conda packages: blosc-hdf5-plugin, hdf5-lz4.

Installation

  How-to install hdf5plugin

Usage

  How-to use hdf5plugin

Project information

  Releases, changelog, repository, license

Contribute

  How-to contribute to hdf5plugin

# Indices and tables

- Index

- Module Index

- Search Page